/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */

package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.Productosucursal;

import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface ProductosucursalFacadeLocal {

    void create(Productosucursal productosucursal);

    void edit(Productosucursal productosucursal);

    void remove(Productosucursal productosucursal);

    Productosucursal find(Object id);

    List<Productosucursal> findAll();

    List<Productosucursal> findRange(int[] range);

    int count();

}
